OBUS-GEN-CLIENT(1)

NAME
obus-gen-client - generate client-side ocaml bindings from D-Bus introspection files

SYNOPSIS
obus-gen-client [ options ] input-file

DESCRIPTION

obus-gen-client generates an ocaml module from D-Bus introspection files. The generated module contains functions to send method calls, receive signals and read/write properties. It depends on the interface module generated with obus-gen-interface.

The module generated by obus-gen-client it is meant to be edited.

OPTIONS

-o output-prefix
    Use this name as output prefix. It defaults to the input file name without its extension and extended with "_client". For example, if the input file name is "foo.xml" (or "foo.obus"), then "obus-gen-client" will generate "foo_client.ml" and "foo_client.mli".

-keep-common
    Keeps common interfaces, i.e. all interfaces starting with "org.freedesktop.DBus". By default they are dropped.

-help or --help
    Display a short usage summary and exit.

AUTHOR
Jérémie Dimino <jeremie@dimino.org>

SEE ALSO
obus-introspect(1), obus-gen-interface(1), obus-gen-server(1).